
QGIS Application - Bug report #1415

Error while launching QGIS 1.0.0 preview II on Windows

2008-11-19 08:10 AM - dthonon -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11475

Description

When launching QGIS 1.0.0 preview II on Windows XP, I get the message below. Apart from that, it works fine.

Une erreur est apparue lors de l'exécution du code suivant :

def qgis_except_hook_msg(type, value, tb, msg):

  lst = traceback.format_exception(type, value, tb)

  if msg == None: msg = 'Une erreur est apparue lors de l'exécution du code python : _

  txt = _+msg+'

'

  for s in lst:

    txt += s

  txt += '

Version de Python :

' + sys.version + '

'

  txt += 'Chemin vers Python :' + str(sys.path)

  txt = txt.replace('\

', '

')

  txt = txt.replace('  ', '  ')

  msg = [[QgsMessageOutput]].createMessageOutput()

  msg.setTitle('Erreur Python')

  msg.setMessage(txt, [[QgsMessageOutput]].MessageHtml)

  msg.showMessage()

  File "", line 3

    if msg == None: msg = 'Une erreur est apparue lors de l'exécution du code python : _

                                                              ^

[[SyntaxError]]: invalid syntax

Version de Python :

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

Chemin vers Python :

['C:/Program Files/QGIS-Dev/./python', 'D:/Documents and Settings/dthonon/.qgis//python/plugins', 'C:/Program

Files/QGIS-Dev/./python/plugins', 'C:\\\\Program Files\\\\QGIS-Dev\\\\python25.zip', '.\\\\DLLs', '.\\\\lib', '.\\\\lib\\\\plat-win',

'.\\\\lib\\\\lib-tk', 'C:\\\\Program Files\\\\QGIS-Dev']
History

#1 - 2008-11-19 02:12 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

This is a problem of french translation in preview2. (There's unexpected quote in translated string " ... l'exécution ... " that produces this error)

It's been fixed already in SVN.

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
